## Apache Zeta Components Manual :: Docs For Class ezcGraphLineChartOptions

### Graph::ezcGraphLineChartOptions

### Class ezcGraphLineChartOptions

Class containing the basic options for line charts.

This class contains basic options relevant for line and bar charts, which are just an extension of line charts.

For additional options configuring the apperance of the chart you may also want to check the option classes to configure the respective renderer you are using:

- ezcGraphRendererOptions
- ezcGraphRenderer2dOptions
- ezcGraphRenderer3dOptions

1. $graph=new ezcGraphLineChart ();
2. $graph->title='Wikipedia articles';
4. $graph->options->fillLines=220;
5. $graph->options->lineThickness=3;
7. // Add data
8. foreach($wikidataas$language=>$data)
9. {
10. $graph->data[$language]=new ezcGraphArrayDataSet ($data);
11. }
13. $graph->render(400,150,'tutorial_line_chart.svg');

Source for this file: /Graph/src/options/line_chart.php

    ezcBaseOptions
       |
       --ezcGraphChartOptions
          |
          --ezcGraphLineChartOptions

Version: | //autogentag//

### Properties

mixed

read/write

`$fillLines`
Status wheather the space between line and axis should get filled.

- FALSE to not fill the space at all.
- (int) Opacity used to fill up the space with the lines color.

ezcGraphFontOptions | read/write | `$highlightFont` Font configuration for highlight tests
bool | read/write | `$highlightLines` If true, it adds lines to highlight the values position on the axis.
int | read/write | `$highlightSize` Size of highlight blocks
float | read/write | `$highlightXOffset` Horizontal offset for highlight strings, applied to all chart highlight strings
float | read/write | `$highlightYOffset` Vertical offset for highlight strings, applied to all chart highlight strings
float | read/write | `$lineThickness` Thickness of chart lines
true | read/write | `$stackBars` Stack bars
int | read/write | `$symbolSize` Size of symbols in line chart.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public void | `__set( $propertyName , $propertyValue )` Set an option value

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __set

void __set( string $propertyName , mixed $propertyValue )

Set an option value

##### Parameters:

Name | Type | Description
--- | --- | ---
`$propertyName` | string |
`$propertyValue` | mixed |

##### Exceptions:

Type | Description
--- | ---
`ezcBasePropertyNotFoundException` | If a property is not defined in this class

Documentation generated by phpDocumentor 1.4.3